Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.express.mdm
Class MdmDimension

    java.lang.Object
      |
      +--oracle.express.mdm.MdmObject
            |
            +--oracle.express.mdm.MdmSource
                  |
                  +--oracle.express.mdm.MdmDimension

Direct Known Subclasses:
  MdmHierarchicalDimension, MdmListDimension

Deprecated. As of Oracle9i, Release 2 (9.2.0.3), replaced by `MdmDimension`.

public abstract class MdmDimension
extends MdmSource

Method Summary
`com.sun.java.util.collections.List` | `getAttributes()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.
`MdmDimensionDefinition` | `getDefinition()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.
`MdmDimensionMemberType` | `getMemberType()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.
`java.lang.String` | `getPluralDescription()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.
`java.lang.String` | `getShortDescription()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.
`java.lang.String` | `getShortPluralDescription()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.
`java.lang.String` | `getValueFormat()` Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.

Methods inherited from class oracle.express.mdm.MdmSource
`getDataType, getSource, getType`

Methods inherited from class oracle.express.mdm.MdmObject
`acceptVisitor, getDescription, getID, getMdmTags, getMetadataProvider, getName, getNewMdmObject, hasMdmTag, isDeleted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttributes

    public final com.sun.java.util.collections.List getAttributes()

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.

### getDefinition

    public final MdmDimensionDefinition getDefinition()

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.

### getMemberType

    public MdmDimensionMemberType getMemberType()

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.

### getPluralDescription

    public final java.lang.String getPluralDescription()
                                                throws MetadataNotFoundException

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.

### getShortDescription

    public final java.lang.String getShortDescription()
                                               throws MetadataNotFoundException

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.

### getShortPluralDescription

    public final java.lang.String getShortPluralDescription()
                                                     throws MetadataNotFoundException

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.

### getValueFormat

    public final java.lang.String getValueFormat()
                                          throws MetadataNotFoundException

  Deprecated. As of Oracle9i, Release 2 (9.2.0.3). See `MdmDimension`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.